require 'weaver/core/logging'
require 'weaver/chef/chef_attribute_collector'
require 'ibm_rc2_client/rc2_client_adapter'
require 'ibm_rc2_client/rc2_client_adapter'

module Weaver
  module Deployers
    
    # TODO this class should implement all the basics deploying to an IaaS cloud so that 
    # subclasses only have to provide minimal information and implementation effort.  
    class IaasDeployer
      

      def aquire_ip_address(node)
        
      end
      
      def release_ip_address(node)
        
      end

      def deploy_vm(node, deployment_parameters)

      end
      
      def destroy_vm(node, deployment_parameters)
        
      end

    end
  end
end