import sys
import os


if(len(sys.argv) > 2 ):
  userid = sys.argv[1]
  virtualsysurl = sys.argv[2]
else:
  print "Missing arguments for the userid and virtualsysid!"
  sys.exit(-1)

virtualsysid = virtualsysurl[virtualsysurl.index('#')+1:]

user=None
if userid == "Everyone" or userid == "everyone":
    user = deployer.everyone()
else:
    for u in deployer.users:
        if u.username == userid or u.fullname == userid:
            user = u
            break

if not user:
    print "Could not find the user '%s'" % userid
else:
    lifoVSList = []
    for vs in deployer.virtualsystems:    
        lifoVSList.append(vs)
    
    lifoVSList.reverse()
    
    virtualSystem=None
    for vs in lifoVSList:
        if str(vs.id) == virtualsysid or vs.name == virtualsysid:
            virtualSystem = vs
            break
        
    if not virtualSystem:
        print "Could not find the virtualSystem '%s'" % virtualsysid
    else:
        print "Granting user '%s' ALL permissions to virtualSystem '%s'" % (userid, virtualSystem.name)
        try:
            virtualSystem.acl[user] = deployer.ALL_PERMISSIONS
            #virtualSystem.acl[user] = deployer.READ_PERMISSION
        except:
            print "  Could not grant permission!"

