module Weaver
  module ContinuousValidation
    LOG_DIRECTORY = "/opt/weaver/rules/logs"
    MAIN_LOG_FILE = File.join(LOG_DIRECTORY, "weaver_wrapper.log")
    LOG_TIMESTAMP_REGEX = /^Contval Result\s\[\d\d\d\d-\d\d-\d\dT\d\d:\d\d:\d\d[-+]\d\d:\d\d\]::\s/
    ERROR_COUNT_LOG_PREFIX = "error_count"
    
    VALIDATION_RESULT_FORMAT = /^(SUCCESS|ERROR)#--#(.*)$/
    VALIDATION_HISTORY_SIZE = 20
    VALIDATION_ERROR_THRESHOLD = 0   # Number of failures to tolerate
    
    SUCCESS_STR = "SUCCESS"
    
    SERVICE_VALIDATION_URI = '/validations'
    SERVICE_RULE_URI = '/rules'
  end
end